.user-process-list {
  @extend %item-middle;
  margin-bottom: 20px;
  margin-top: 34px;
}

.user-process-item {
  @include border-radius($border-radius);
  @extend %item-center;
  @include size(32px, 41px);
  position: relative;
  background-color: $primary;
  color: #fff;
  font-size: 13px;
  &.disabled {
    opacity: 0.3;
  }
  &.active {
    &:before {
      content: '';
      @include css-triangle(bottom, $secondary,6.58px, 12px);
      @include position-top-left(-17px, 50%);
      margin-left: -6px;
    }
  }
  + .user-process-item {
    margin-left: 7px;
  }
}

.user-process-section {
  @include images-inline(32px, 32px, 2px, #F3F3F3, 13px);
  .fa-check-circle {
    color: #BDBDBD;
    font-size: 23px;
  }
  + .user-process-section {
    border-top: 1px solid #C4C4C4;
    margin-top: 1rem;
    padding-top: 1rem;
  }
  &.learned {
    .fa-check-circle {
      color: $primary;
    }
  }
}

.user-action-item {
  @include border-radius($border-radius);
  background-color: #F2F2F2;
  padding: 15px;
  p:not(.mb-0) {
    margin-bottom: 12px;
  }
  + .user-action-item {
    margin-top: 16px;
  }
  .form-control {
    border: none;
    background-color: transparent;
    box-shadow: inset 0px 0px 8px rgba(0, 0, 0, 0.25);
    min-height: 100px;
    @extend .small;
    padding: 10px 15px;
  }
}

.user-title {
  margin-bottom: 20px;
}

.user-study-item {
  @include images-inline(32px, 32px, 50%, #fff, 12px);
  img {
    max-width: 100%;
    max-height: 100%;
  }
}

.flower-form {
  margin-top: 10px;
  @include breakpoints(max-xs) {
    margin-top: 20px;
  }
  .form-label {
    @include breakpoints(max-xs) {
      text-align: center;
      .flower-icon {
        display: inline-flex !important;
      }
    }
  }
  .row {
    @include row-padding(5px);
    @include breakpoints(max-xs) {
      margin-left: -13px;
      margin-right: -13px;
    }
  }
}

.flower-icon {
  position: relative;
  background-image: url("../images/icons/icon-flower.png");
  padding-bottom: 35px;
  @include size(136.88px, 120.35px);
  @extend %item-center;
}

.user-left {
  @extend %flex-column;
  justify-content: flex-end;
  @include breakpoints(max-md) {
    margin-bottom: 25px;
  }
  .user-name {
    margin-top: 25px;
  }
}

.user-box {
  padding-top: 73px;
  margin-bottom: 40px;
  position: relative;
  &:before {
    content: '';
    @include position-top-left(0, 0);
    background-image: url("../images/banner.jpg");
    background-repeat: no-repeat;
    @include size(100%, 440px);
    background-size: cover;
    background-position: top center;
    @include breakpoints(max-md) {
      height: 300px;
    }
  }
}

.user-right {
  @extend %flex-column;
  @include breakpoints(md) {
    flex-direction: column-reverse;
  }
}

.user-right-main {
  margin-top: 35px;
}

.chart-list {
  .user-right-main {
    margin-bottom: 35px;
  }
}

.user-action-images {
  @include size(72px);
  border: 3px solid #F2F2F2;
  @include border-radius(50%);
  margin-bottom: 10px;
  display: inline-flex;
}

.slider-tag {
  margin-bottom: 20px;
  @include breakpoints(max-xs) {
    flex-wrap: wrap;
  }
}

.slider-tag-left {
  @extend %flexbox;
  @include breakpoints(max-xs) {
    flex-wrap: wrap;
    width: 100%;
  }
  .btn {
    @include breakpoints(max-xs) {
      margin-bottom: 10px;
      width: calc((100% - 10px)/2);
      padding-left: 5px;
      padding-right: 5px;
    }
    + .btn {
      margin-left: 10px;
    }
  }
}

.slider-top {
  @extend %item-between;
  margin-bottom: 30px;
  flex-wrap: wrap;
}

.slider-sale {
  @extend %item-middle;
  flex-wrap: wrap;
  @include breakpoints(max-xs) {
    &,
    .time-box {
      margin-top: 15px;
    }
  }
  .slider-sale-txt {
    color: #E03E3E;
    margin: 0 15px;
  }
}

.setting-action {
  @extend %item-middle;
  justify-content: center;
  margin-bottom: 25px;
  @include breakpoints(md) {
    justify-content: flex-end;
    margin-top: 25px;
    margin-bottom: 0;
  }
}

.setting-action-item {
  position: relative;
  &:hover {
    .setting-action-txt {
      @include breakpoints(xlg) {
        display: block;
      }
    }
  }
  img {
    margin: 0 10px;
    @include breakpoints(max-xlg) {
      display: none;
    }
  }

  .setting-action-txt {
    @include breakpoints(xlg) {
      display: none;
      @include position-top-right(0, 100%);
    }
  }
  + .setting-action-item {
    margin-left: 12px;
    @include breakpoints(xlg) {
      margin-left: 5px;
    }
    .setting-action-txt {
      @include breakpoints(xlg) {
        @include position-top-left(0, 100%);
        right: auto;
      }
    }
  }
}

.setting-action-back {
  display: none;
  @include breakpoints(max-xs) {
    .setting-action-item {
      width: calc((100% - 12px)/2);
      span {
        width: 100%;
      }
    }
  }
}

//.slider-box {
//
//  @include breakpoints(lg) {
//    padding-left: 40px;
//    padding-right: 40px;
//    margin-left: -40px;
//    margin-right: -40px;
//  }
//}

.learn-images {
  position: relative;
  @include responsive-ratio(174px, 218px);
  .learn-action {
    @include position-top-right(10px, 10px);
  }
  img {
    @include responsive-ratio-img(contain);
  }
}

.learn-content {
  margin-top: 1rem;
  .learn-txt {
    margin: 3px 0 20px 0;
  }
  .custom-range {
    margin-bottom: 8px;
  }
  .star-box {
    margin: 9px 0;
  }
}

.user-detail-left {
  @include breakpoints(max-md) {
    margin-top: 30px;
  }
}